package org.example;

import org.apache.poi.xssf.usermodel.XSSFCell;
import org.apache.poi.xssf.usermodel.XSSFRow;
import org.apache.poi.xssf.usermodel.XSSFSheet;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;

import java.io.FileOutputStream;
import java.io.IOException;

public class Main {
    public static void main(String[] args) {
        XSSFWorkbook workbook = new XSSFWorkbook();

        XSSFSheet sheet = workbook.createSheet("MySheet");

        XSSFRow headerRow = sheet.createRow(0);

        // Add headers to the row
        XSSFCell cell1 = headerRow.createCell(0);
        cell1.setCellValue("Header 1");

        XSSFCell cell2 = headerRow.createCell(1);
        cell2.setCellValue("Header 2");
        // Add more headers as needed

        sheet.createFreezePane(0, 1);

        try (FileOutputStream outputStream = new FileOutputStream("your-workbook.xlsx")) {
            workbook.write(outputStream);
            System.out.println("Workbook written successfully!");
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }
}